<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Lokasi Kantor Pajak</ion-title>
  </ion-navbar>
</ion-header>

<div *ngIf="platform.isLandscape()" style="align-object:center; text-align:center">
	<img style="height: 50%;width: 50%;object-fit: contain; margin-top:10%" [src]="putarArah">
</div>

<ion-content *ngIf="platform.isPortrait()" class="map-page">
  <div class="map-tax-office" #mapCanvas id="map_canvas"></div>

  <div style="max-width: 100%; padding-bottom: 6%" class="card-tax-office">
    <ion-card class="card-list-tax-office" *ngFor="let data of taxOffice" (click)="directionConfirm(data)">
      <ion-card-header style="padding-bottom:0">
        <ion-grid>
        <ion-row>
          <ion-col col-12 style="padding-bottom:0">
            <h3 style="white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">{{data.name}}</h3>
          </ion-col>
        </ion-row>
        </ion-grid>
      </ion-card-header>
      <ion-card-content>
        <ion-row>
          <ion-col col-10>
            {{data.address}}
          </ion-col>
          <ion-col col-2 style="margin-right:0;padding-right:0">
            <span style="font-size:15px">{{data.distance}}</span>
          </ion-col>
        </ion-row>
      </ion-card-content>
    </ion-card>

  </div>
</ion-content>
